<?php

namespace Shop\Domain\PriceFile\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of PriceFile
*
* @author Diamond Code Generator
*/
interface PriceFileCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    public function getSearchByName(): ?string;

    public function setSortByName(?string $sortByName): PriceFileCriteriaInterface;

    public function setSearchByName(?string $searchByName): PriceFileCriteriaInterface;

    public function getSortByName(): ?string;
}           